 import '../util/extenstions.dart';
 
 class TextValidator{

// OWNER : Ibrahim albitar
// DATE : 19-04-2020
// DESCRIPTION : Text Validator.

   String validateName(String value) {
    if (value.isNullOrEmpty()||value.length < 3)
      return 'Name must be more than 2 charater';
    else
      return null;
  }

    String validateMobile(String value) {
    if (value.isNullOrEmpty()||value.length != 10)
      return 'Mobile Number must be of 10 digit';
    else
      return null;
  }

  String validateIdNumber(String value) {
    if (value.isNullOrEmpty())
      return 'Please input valid number';
    else
      return null;
  }

  String validateDate(String value) {
    if (value.isNullOrEmpty())
      return 'Please input valid date';
    else
      return null;
  }

  }